Subject: Re: want (vi OR emacs (auto)) AND ispell (option)

From: [email-masked] (Sven Guckes)
Date: 30 Jun 1997 21:46:27 GMT

[email-masked] (Howard Gutowitz):
> I'm trying to see if I should switch from elm to pine.
> One reason would be to get spell-checker implemented.

"get spell-checker implemented"?  Huh?  Both ELM and PINE have it.  *shrug*

> pine seems to make little distinction between the speller and the editor.
> I want lets say vi as my default editor, invoked automatically, and the
> option of doing a spell check with ispell once the message is edited.
> I see that I can get both functionalities if I invoke them each time
> (with ^_ (BAD name for a command, hard to type) ...

That's why people prefer newsreaders which allow key binding.  ;-)

> ... ^t (why not ^s ?) for alternate editor ...

The key ^S is usually defined for "stop"ping the terminal output.
Check with "stty -a" to see the start/stop keys.

> but if I set vi (say) to be the default editor, I can't get the cursor into
> the body of the message without invoking the editor and I want the speller.

You can call ispell from Vi - but Vi does not have an extra command for this.
It simply is different in this repect from pico, you see.

So - do you want to change Vi, Elm, or Pine?

Sven